import request from '@/utils/request'

// 查询会员证件信息列表
export function listCard(query) {
  return request({
    url: '/account/card/list',
    method: 'get',
    params: query
  })
}

// 查询会员证件信息详细
export function getCard(uid) {
  return request({
    url: '/account/card/' + uid,
    method: 'get'
  })
}

// 新增会员证件信息
export function addCard(data) {
  return request({
    url: '/account/card',
    method: 'post',
    data: data
  })
}

// 修改会员证件信息
export function updateCard(data) {
  return request({
    url: '/account/card',
    method: 'put',
    data: data
  })
}

// 删除会员证件信息
export function delCard(uid) {
  return request({
    url: '/account/card/' + uid,
    method: 'delete'
  })
}
